Bug 1415411 - [RFE] Liveliness and Readiness probes should be supplied by default
Summary: [RFE] Liveliness and Readiness probes should be supplied by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.6.z
Assignee: Paul Weil
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 17:49 UTC by Eric Rich
Modified: 2020-12-14 08:02 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 13:45:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eric Rich 2017-01-21 17:49:36 UTC
Description of problem:

Components of OpenShift that are deployed to enhance the infrastructure of the platform should ship with Liveliness and Readiness probes by default.

Comment 4 Jeff Cantrill 2017-08-25 19:37:24 UTC
The PR to re-enable readiness in master but it needs to be backported to 3.6 since we committed to that change once we resolved the discovery issue (https://trello.com/c/IxWno3R8):  
https://github.com/openshift/origin-aggregated-logging/pull/609

Comment 5 Jan Wozniak 2017-11-02 07:20:19 UTC
@jeff, this was backported in August and merged to 3.6 together with merge to master. I added a label 'backports/complete' if we look at it in future.

https://github.com/openshift/origin-aggregated-logging/pull/612
https://github.com/openshift/openshift-ansible/pull/5239

Comment 9 Anping Li 2018-05-10 10:21:47 UTC
The Readiness probes have been add to elasticsearch:v3.6.173.0.117.


Note You need to log in before you can comment on or make changes to this bug.